## org.eclipse.datatools.sqltools.sqlbuilder.views.insert
Class InsertTableElement

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.insert.InsertTableElement

    public class InsertTableElement

extends java.lang.Object

InsertTableElement is applicable for insert grid view

Constructor Summary
`InsertTableElement(SQLDomainModel model, QueryInsertStatement statement, ValueExpressionColumn column, QueryValueExpression value)`

Method Summary
`ValueExpressionColumn` `getColumn()`
`java.lang.String` `getColumnText(int columnIndex)` Get the mof value and return it
`QueryValueExpression` `getExpression()`
`QueryInsertStatement` `getInsertStatement()`
`void` `modify(java.lang.Object key, java.lang.Object value)`
`QueryValueExpression` `showExpressionBuilder(java.lang.Object obj, boolean isColumn, java.lang.String action)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InsertTableElement

    public InsertTableElement(SQLDomainModel model,
                              QueryInsertStatement statement,
                              ValueExpressionColumn column,
                              QueryValueExpression value)

Method Detail

### getInsertStatement

    public QueryInsertStatement getInsertStatement()

### getColumn

    public ValueExpressionColumn getColumn()

### getExpression

    public QueryValueExpression getExpression()

### modify

    public void modify(java.lang.Object key,
                       java.lang.Object value)

### getColumnText

    public java.lang.String getColumnText(int columnIndex)

  Get the mof value and return it

### showExpressionBuilder

    public QueryValueExpression showExpressionBuilder(java.lang.Object obj,
                                                      boolean isColumn,
                                                      java.lang.String action)